Uploaded image for project: 'Accumulo'
  1. Accumulo
  2. ACCUMULO-4339

Make hadoop-minicluster an optional dependency of mini

    Details

    • Type: Improvement
    • Status: Resolved
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: 1.8.0
    • Component/s: build, mini
    • Labels:
      None

      Description

      By default, minicluster does not need hadoop-minicluster, and we don't need to inflict this dependency transitively upon users if they don't want it, thus requiring them to exclude it in their project.

      We should make it <optional>true</optional>

        Issue Links

          Activity

          Hide
          ctubbsii Christopher Tubbs added a comment -

          Keith Turner told me he saw an issue with this when working on Fluo when an old transitive dependency (asm) from hadoop-minicluster was higher on the classpath.

          Show
          ctubbsii Christopher Tubbs added a comment - Keith Turner told me he saw an issue with this when working on Fluo when an old transitive dependency (asm) from hadoop-minicluster was higher on the classpath.

            People

            • Assignee:
              ctubbsii Christopher Tubbs
              Reporter:
              ctubbsii Christopher Tubbs
            • Votes:
              0 Vote for this issue
              Watchers:
              1 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved:

                Time Tracking

                Estimated:
                Original Estimate - Not Specified
                Not Specified
                Remaining:
                Remaining Estimate - 0h
                0h
                Logged:
                Time Spent - 20m
                20m

                  Development